# Method: edits.images.list

- [HTTP request](https://developers.google.com/android-publisher/api-ref/rest/v3/edits.images/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/edits.images/list#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/api-ref/rest/v3/edits.images/list#body.request_body)
- [Response body](https://developers.google.com/android-publisher/api-ref/rest/v3/edits.images/list#body.response_body)
  - [JSON representation](https://developers.google.com/android-publisher/api-ref/rest/v3/edits.images/list#body.ImagesListResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/android-publisher/api-ref/rest/v3/edits.images/list#body.aspect)
- [Try it!](https://developers.google.com/android-publisher/api-ref/rest/v3/edits.images/list#try-it)

Lists all images. The response may be empty.

### HTTP request

`GET https://androidpublisher.googleapis.com/androidpublisher/v3/applications/{packageName}/edits/{editId}/listings/{language}/{imageType}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `packageName` | `string` Package name of the app. |
| `editId` | `string` Identifier of the edit. |
| `language` | `string` Language localization code (a BCP-47 language tag; for example, "de-AT" for Austrian German). There must be a store listing for the specified language. |
| `imageType` | ``enum (`https://developers.google.com/android-publisher/api-ref/rest/v3/AppImageType`)`` Type of the Image. Providing an image type that refers to no images will return an empty response. |

### Request body

The request body must be empty.

### Response body

Response listing all images.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "images": [ { object (`https://developers.google.com/android-publisher/api-ref/rest/v3/edits.images#Image`) } ] } ``` |

| Fields ||
|---|---|
| `images[]` | ``object (`https://developers.google.com/android-publisher/api-ref/rest/v3/edits.images#Image`)`` All listed Images. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`